Bug 191961 - clustat segfault when node is fenced
clustat segfault when node is fenced
Status: CLOSED ERRATA
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: rgmanager (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lon Hohberger
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-16 12:09 EDT by Lenny Maiorani
Modified: 2009-04-16 16:20 EDT (History)
2 users (show)

See Also:
Fixed In Version: RHBA-2007:149
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-21 12:13:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lenny Maiorani 2006-05-16 12:09:15 EDT
Description of problem:
At nearly the same time as node3 was fenced, clustat was being run on node1 and
segfault'd. 


Version-Release number of selected component (if applicable):
1.9.46-1.3speed


Actual results:
May 15 19:18:45 sqaone01 kernel: CMAN: removing node sqaone03 from the cluster :
Missed too many heartbeats
May 15 19:18:45 sqaone01 kernel: clustat[22394]: segfault at 000000000000002a
rip 0000003765bb1463 rsp 0000007fbffffa90 error 4
May 15 19:18:46 sqaone01 fenced: sqaone03 not a cluster member after 0 sec
post_fail_delay
May 15 19:18:46 sqaone01 fenced: fencing node "sqaone03"
May 15 19:18:46 sqaone01 fenced: fence "sqaone03" success


Expected results:
no segfault
Comment 1 Lon Hohberger 2006-05-16 15:55:34 EDT
Did ccsd die as well?
Comment 2 Lenny Maiorani 2006-05-17 11:06:44 EDT
Nothing else died. The node was still running OK after the segfault.
Comment 3 Lon Hohberger 2006-05-17 11:37:06 EDT
Thank you -- I will keep looking; so far, I have not been able to reporduce it,
so I think it is a timing issue of some sort (eg - getting a member list while
cman is handling the transition).
Comment 4 Lenny Maiorani 2006-06-07 18:24:52 EDT
I think the new rgmanager (now using 1.9.46-1.4.2x) has fixed this. 

Note You need to log in before you can comment on or make changes to this bug.